<template>
  <dialog
    :id="id"
    :aria-labelledby="titleId"
    role="dialog"
    class="fr-modal"
    :class="{ 'fr-modal--opened': opened }"
  >
    <div class="fr-container fr-container--fluid">
      <div class="fr-grid-row fr-grid-row--center">
        <div class="fr-col-12 fr-col-lg-6">
          <div id="fr-modal-search-filters" class="fr-modal__body">
            <div class="fr-modal__header">
              <button
                class="fr-btn--close fr-btn"
                title="Fermer la fenêtre modale"
                aria-controls="fr-modal-search-filters"
                @click="close"
              >
                Fermer
              </button>
            </div>

            <div class="fr-modal__content">
              <h1 :id="titleId" class="fr-modal__title">
                <slot name="title">{{ title }}</slot>
              </h1>
              <slot></slot>
            </div>

            <div class="fr-modal__footer">
              <ul
                class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-left"
              >
                <slot name="footer"></slot>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </dialog>
</template>

<script>
export default {
  name: 'FrModal',

  props: {
    id: {
      type: String,
      required: true,
    },
    title: {
      type: String,
      default: null,
    },
    opened: {
      type: Boolean,
      default: false,
    },
  },

  computed: {
    titleId() {
      return `${this.id}--reference`;
    },
  },

  methods: {
    close() {
      this.$emit('close');
    },
  },
};
</script>

<style scoped>
dialog {
  z-index: 10000;
}

.fr-modal::before,
.fr-modal::after {
  content: none;
}

.fr-modal__body {
  height: 100vh;
  max-height: none !important;
}
</style>
